package com.ywt.mg.params.mealOrder;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class MealOrderListRequest implements Serializable {

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "患者手机号")
    private String mobile;

    @ApiModelProperty(value = "取餐方式")
    private String type;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "支付状态")
    private String payStatus;

    @ApiModelProperty(value = "支付时间")
    private String payTimeStart;

    @ApiModelProperty(value = "支付时间")
    private String payTimeEnd;

    @ApiModelProperty(value = "商品Id")
    private String shopId;

    @ApiModelProperty(value = "客户类型")
    private String clientType;

    @ApiModelProperty(value = "支付类型")
    private String payType;

    @ApiModelProperty(value = "支付号码")
    private String paymentNo;

    @ApiModelProperty(value = "退款时间")
    private String refundTimeStart;

    @ApiModelProperty(value = "退款时间")
    private String refundTimeEnd;

    @ApiModelProperty(value = "")
    private boolean dineInStatusCompat;

    @ApiModelProperty(value = "医院")
    private int hospitalId;

    @ApiModelProperty(value = "取餐码")
    private String pickupCode;

    @ApiModelProperty(value = "是否是员工")
    private String isStaff;

    @ApiModelProperty(value = "是否是员工")
    private Boolean bIsStaff;

    @ApiModelProperty(value = "对账时间")
    private String billStartTime;

    @ApiModelProperty(value = "对账时间")
    private String billEndTime;

    @ApiModelProperty(value = "交易流水号")
    private String transactionId;

    @ApiModelProperty(value = "拥有的商铺")
    private String shopIds;

    @ApiModelProperty(value = "判断医院后台还是公司后台")
    private int hosp;


    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getPayTimeStart() {
        return payTimeStart;
    }

    public void setPayTimeStart(String payTimeStart) {
        this.payTimeStart = payTimeStart;
    }

    public String getPayTimeEnd() {
        return payTimeEnd;
    }

    public void setPayTimeEnd(String payTimeEnd) {
        this.payTimeEnd = payTimeEnd;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public String getRefundTimeStart() {
        return refundTimeStart;
    }

    public void setRefundTimeStart(String refundTimeStart) {
        this.refundTimeStart = refundTimeStart;
    }

    public String getRefundTimeEnd() {
        return refundTimeEnd;
    }

    public void setRefundTimeEnd(String refundTimeEnd) {
        this.refundTimeEnd = refundTimeEnd;
    }

    public boolean isDineInStatusCompat() {
        return dineInStatusCompat;
    }

    public void setDineInStatusCompat(boolean dineInStatusCompat) {
        this.dineInStatusCompat = dineInStatusCompat;
    }

    public int getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(int hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getPickupCode() {
        return pickupCode;
    }

    public void setPickupCode(String pickupCode) {
        this.pickupCode = pickupCode;
    }

    public String getIsStaff() {
        return isStaff;
    }

    public void setIsStaff(String isStaff) {
        this.isStaff = isStaff;
    }

    public String getBillStartTime() {
        return billStartTime;
    }

    public void setBillStartTime(String billStartTime) {
        this.billStartTime = billStartTime;
    }

    public String getBillEndTime() {
        return billEndTime;
    }

    public void setBillEndTime(String billEndTime) {
        this.billEndTime = billEndTime;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getShopIds() {
        return shopIds;
    }

    public void setShopIds(String shopIds) {
        this.shopIds = shopIds;
    }

    public Boolean getbIsStaff() {
        return bIsStaff;
    }

    public void setbIsStaff(Boolean bIsStaff) {
        this.bIsStaff = bIsStaff;
    }

    public int getHosp() {
        return hosp;
    }

    public void setHosp(int hosp) {
        this.hosp = hosp;
    }
}
